#pragma once

#include "CoreMinimal.h"
#include "BehaviorTree/BTService.h"
#include "BehaviorTree/BehaviorTreeTypes.h"
#include "BTService_LookAway.generated.h"

UCLASS(Blueprintable)
class DBDBOTS_API UBTService_LookAway : public UBTService
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FBlackboardKeySelector BBTargetInteractable;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 FocusPriority;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxInteractableRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxRangeForSurvivors;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float UpdateRelevantInteractablesInterval;

public:
	UBTService_LookAway();
};

FORCEINLINE uint32 GetTypeHash(const UBTService_LookAway) { return 0; }
